HomeGuidesAPI Reference
API Reference

Transaction Payment Gateway Summary

Return Transactions Payment Gateway Summary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrieve a summary of Payment Gateway transactions.


Endpoint

GET https://demo-api.edfapay.com/api/v1/transactions/dashboard/payment-gateway-summary


Authentication

All requests must include a valid X-API-KEY in the request header.

The API key must be sent from the server side and should never be exposed on the client side.

👉 How to generate API key

🔐

Security Note

Always send API requests from your backend.
Do not expose your API Key in frontend applications.


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/transactions/dashboard/payment-gateway-summary?days=7' \
--header 'X-API-KEY: YOUR_API_KEY'

Query Parameters

FieldTypeRequiredDescription
daysIntegerYesThe number of days to retrieve the summary for.
🚧Important Note

The days parameter must be one of the following values: 1, 7, 30, or 360.


Response Example

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "dashboardPaymentMethods": [
            {
                "cardType": "MC",
                "transactionCount": XX,
                "cardsCount": XX,
                "totalAmount": "XX.XX"
            },
            {
                "cardType": "VC",
                "transactionCount": XX,
                "cardsCount": XX,
                "totalAmount": "XX.XX"
            }
        ],
        "dashboardPaymentAmounts": [
            {
                "totalAmount": XX.XX,
                "operationType": "AUTHORIZATION",
                "transactionCount": XX
            },
            {
                "totalAmount": XX.XX,
                "operationType": "CAPTURE",
                "transactionCount": XX
            },
            {
                "totalAmount": XX.XX,
                "operationType": "PURCHASE",
                "transactionCount": XX
            },
            {
                "totalAmount": XX.XX,
                "operationType": "REFUND",
                "transactionCount": XX
            },
            {
                "totalAmount": XX.XX,
                "operationType": "VOID",
                "transactionCount": XX
            }
        ]
    }
}
{
  "code": 500,
  "message": "Days should be one of the following values: 1, 7, 30, 360",
  "errorCode": "500",
  "data": null
}
Query Params
int32
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*